package com.example.iot_controlhost.model.net;

import com.example.iot_controlhost.model.AITHMode;
import com.google.gson.annotations.SerializedName;

import java.util.List;

/**
 * @Description AI共育模板
 * @Author DuanKaiji
 * @CreateTime 2023年11月06日 17:03:50
 */
public class AIMode {

    @SerializedName("Code")
    private int code;
    @SerializedName("Message")
    private String message;
    @SerializedName("Data")
    private DataDTO data;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public DataDTO getData() {
        return data;
    }

    public void setData(DataDTO data) {
        this.data = data;
    }

    public static class DataDTO {
        @SerializedName("ProgramName")
        private String programName;
        @SerializedName("Items")
        private List<AITHMode> items;

        public String getProgramName() {
            return programName;
        }

        public void setProgramName(String programName) {
            this.programName = programName;
        }

        public List<AITHMode> getItems() {
            return items;
        }

        public void setItems(List<AITHMode> items) {
            this.items = items;
        }

    }
}
